[med-svn] [mafft] 01/05: New upstream version 7.310
Andreas Tille
tille at debian.org
Tue Sep 12 12:44:11 UTC 2017
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to branch master
in repository mafft.
commit 20c547a7b8e437fe7702eafcd463cbb45f9744f4
Author: Andreas Tille <tille at debian.org>
Date: Tue Sep 12 14:37:05 2017 +0200
New upstream version 7.310
---
core/Salignmm.c | 16 ++++++++--------
core/mafft.tmpl | 27 ++++++++++++++-------------
core/mltaln.h | 2 +-
core/mtxutl.c | 5 ++---
core/mtxutl.h | 2 ++
core/pairlocalalign.c | 3 ++-
core/partSalignmm.c | 16 ++++++++--------
core/version.c | 2 +-
readme | 2 +-
9 files changed, 39 insertions(+), 36 deletions(-)
diff --git a/core/Salignmm.c b/core/Salignmm.c
index 3fd40a2..a7ce530 100644
--- a/core/Salignmm.c
+++ b/core/Salignmm.c
@@ -1650,8 +1650,8 @@ double A__align_variousdist( int **which, double ***matrices, double **n_dynamic
if( c != which[i][j] )
{
- masklist1[c] = realloc( masklist1[c], sizeof( int ) * nmask[c]+1 );
- masklist2[c] = realloc( masklist2[c], sizeof( int ) * nmask[c]+1 );
+ masklist1[c] = realloc( masklist1[c], sizeof( int ) * (nmask[c]+1) );
+ masklist2[c] = realloc( masklist2[c], sizeof( int ) * (nmask[c]+1) );
masklist1[c][nmask[c]] = i;
masklist2[c][nmask[c]] = j;
@@ -2071,8 +2071,8 @@ for( i=0; i<lgth2; i++ )
if( chudanpt && *chudanpt != chudanref )
{
// fprintf( stderr, "\n\n## CHUUDAN!!! S\n" );
- if( masklist1 ) FreeIntMtx( masklist1 ); masklist1 = NULL;
- if( masklist2 ) FreeIntMtx( masklist2 ); masklist2 = NULL;
+ if( masklist1 ) freeintmtx( masklist1, maxdistclass ); masklist1 = NULL;
+ if( masklist2 ) freeintmtx( masklist2, maxdistclass ); masklist2 = NULL;
if( nmask ) free( nmask ); nmask = NULL;
*chudanres = 1;
return( -1.0 );
@@ -2175,8 +2175,8 @@ fprintf( stderr, "\n" );
if( chudanpt && *chudanpt != chudanref )
{
// fprintf( stderr, "\n\n## CHUUDAN!!! S\n" );
- if( masklist1 ) FreeIntMtx( masklist1 ); masklist1 = NULL;
- if( masklist2 ) FreeIntMtx( masklist2 ); masklist2 = NULL;
+ if( masklist1 ) freeintmtx( masklist1, maxdistclass ); masklist1 = NULL;
+ if( masklist2 ) freeintmtx( masklist2, maxdistclass ); masklist2 = NULL;
if( nmask ) free( nmask ); nmask = NULL;
*chudanres = 1;
return( -1.0 );
@@ -2353,8 +2353,8 @@ fprintf( stderr, "\n" );
// fprintf( stderr, "wm = %f\n", wm );
- if( masklist1 ) FreeIntMtx( masklist1 ); masklist1 = NULL;
- if( masklist2 ) FreeIntMtx( masklist2 ); masklist2 = NULL;
+ if( masklist1 ) freeintmtx( masklist1, maxdistclass ); masklist1 = NULL;
+ if( masklist2 ) freeintmtx( masklist2, maxdistclass ); masklist2 = NULL;
if( nmask ) free( nmask ); nmask = NULL;
return( wm );
diff --git a/core/mafft.tmpl b/core/mafft.tmpl
index 545526f..8607652 100644
--- a/core/mafft.tmpl
+++ b/core/mafft.tmpl
@@ -1,8 +1,8 @@
-#! /bin/sh
+#! /bin/bash
er=0;
myself=`dirname "$0"`/`basename "$0"`; export myself
-version="v7.307 (2017/Jan/6)"; export version
+version="v7.310 (2017/Mar/17)"; export version
LANG=C; export LANG
os=`uname`
progname=`basename "$0"`
@@ -36,7 +36,7 @@ if [ $# -gt 0 ]; then
fi
if [ -x "$prefix/version" ]; then
- versionbin=`"$prefix/version" | awk '{print $1}'` # for cygwin
+ versionbin=`"$prefix/version"` # for cygwin 2.7
else
versionbin="0.000"
fi
@@ -917,9 +917,9 @@ if [ $# -gt 0 ]; then
TMPFILE=`mktemp -d /tmp/$progname.XXXXXXXXXX`
fi
- if [ $os = "cygwin" ]; then
- TMPFILE=`cygpath -w $TMPFILE`
- fi
+# if [ $os = "cygwin" ]; then
+# TMPFILE=`cygpath -w $TMPFILE` unnecessary for cygwin2.7
+# fi
umask 077
# mkdir $TMPFILE || er=1
@@ -1934,8 +1934,8 @@ if [ $# -gt 0 ]; then
- (
- cd $TMPFILE;
+# ( # 2017/Mar/17
+ pushd $TMPFILE > /dev/null;
cat /dev/null > pre
@@ -1969,14 +1969,14 @@ if [ $# -gt 0 ]; then
fragarg="-F" # 2014/02/06, do not consider other additional sequences, even in the case of --add
fi
if [ $adjustdirection -eq 1 ]; then
- "$prefix/makedirectionlist" $fragarg -C $numthreads -m -I $nadd -i infile -t 0.00 -r 5000 -o a > _direction
+ "$prefix/makedirectionlist" $fragarg -C $numthreads -m -I $nadd -i infile -t 0.00 -r 5000 -o a > _direction 2>>"$progressfile"
elif [ $adjustdirection -eq 2 ]; then
- "$prefix/makedirectionlist" $fragarg -C $numthreads -m -I $nadd -i infile -t 0.00 -r 100 -o a -d > _direction
+ "$prefix/makedirectionlist" $fragarg -C $numthreads -m -I $nadd -i infile -t 0.00 -r 100 -o a -d > _direction 2>>"$progressfile"
fi
- "$prefix/setdirection" $mergearg -d _direction -i infile > infiled || exit
+ "$prefix/setdirection" $mergearg -d _direction -i infile > infiled 2>>"$progressfile" || exit
mv infiled infile
if [ $anysymbol -eq 1 ]; then
- "$prefix/setdirection" $mergearg -d _direction -i orig -r > origd || exit
+ "$prefix/setdirection" $mergearg -d _direction -i orig -r > origd 2>>"$progressfile" || exit
mv origd orig
fi
fi
@@ -2394,7 +2394,8 @@ if [ $# -gt 0 ]; then
cat dasherr >>"$progressfile"
fi
- )
+# ) # 2017/Mar/17
+ popd > /dev/null;
if [ "$outputfile" = "" ]; then
diff --git a/core/mltaln.h b/core/mltaln.h
index 1f22778..962cea3 100644
--- a/core/mltaln.h
+++ b/core/mltaln.h
@@ -25,7 +25,7 @@
#include <sys/resource.h> // for setstacksize, 2016/Jun
#endif
-#define VERSION "7.307"
+#define VERSION "7.310"
#define SHOWVERSION reporterr( "%s (%s) Version " VERSION " alg=%c, model=%s, amax=%3.1f\n%d thread(s)\n\n", progName( argv[0] ), (dorp=='d')?"nuc":((nblosum==-2)?"text":"aa"), alg, modelname, specificityconsideration, nthread )
#define FFT_THRESHOLD 80
diff --git a/core/mtxutl.c b/core/mtxutl.c
index 0870b9a..263176d 100644
--- a/core/mtxutl.c
+++ b/core/mtxutl.c
@@ -379,12 +379,11 @@ void FreeCharCub( char ***cub )
free( cub );
}
-void freeintmtx( int **mtx, int ll1, int ll2 )
+void freeintmtx( int **mtx, int ll1 )
{
int i;
- for( i=0; i<ll1; i++ )
- free( (char *)mtx[i] );
+ for( i=0; i<ll1; i++ ) free( (char *)mtx[i] );
free( (char *)mtx );
}
diff --git a/core/mtxutl.h b/core/mtxutl.h
index 0e6e701..b8a5e6f 100644
--- a/core/mtxutl.h
+++ b/core/mtxutl.h
@@ -52,3 +52,5 @@ void FreeShortVec( short * );
short **AllocateShortMtx( int, int );
void FreeShortMtx( short ** );
+
+void freeintmtx( int **, int );
diff --git a/core/pairlocalalign.c b/core/pairlocalalign.c
index e1e0dab..3d46fc5 100644
--- a/core/pairlocalalign.c
+++ b/core/pairlocalalign.c
@@ -2046,7 +2046,8 @@ static void *athread( void *arg ) // alg='R', alg='r' -> tsukawarenai.
pthread_mutex_unlock( targ->mutex_counter );
- if( j == i+1 || j % 100 == 0 )
+// if( j == i+1 || j % 100 == 0 )
+ if( j == i+1 && i % 10 == 0 )
{
fprintf( stderr, "% 5d / %d (by thread %3d) \r", i, njob-nadd, thread_no );
// fprintf( stderr, "% 5d - %5d / %d (thread %d)\n", i, j, njob, thread_no );
diff --git a/core/partSalignmm.c b/core/partSalignmm.c
index 4c16fdd..474ddb0 100644
--- a/core/partSalignmm.c
+++ b/core/partSalignmm.c
@@ -1492,8 +1492,8 @@ double partA__align_variousdist( int **which, double ***matrices, double **n_dyn
if( c != which[i][j] )
{
- masklist1[c] = realloc( masklist1[c], sizeof( int ) * nmask[c]+1 );
- masklist2[c] = realloc( masklist2[c], sizeof( int ) * nmask[c]+1 );
+ masklist1[c] = realloc( masklist1[c], sizeof( int ) * (nmask[c]+1) );
+ masklist2[c] = realloc( masklist2[c], sizeof( int ) * (nmask[c]+1) );
masklist1[c][nmask[c]] = i;
masklist2[c][nmask[c]] = j;
@@ -1843,8 +1843,8 @@ for( i=0; i<lgth2; i++ )
{
// fprintf( stderr, "\n\n## CHUUDAN!!! i\n" );
*chudanres = 1;
- if( masklist1 ) FreeIntMtx( masklist1 ); masklist1 = NULL;
- if( masklist2 ) FreeIntMtx( masklist2 ); masklist2 = NULL;
+ if( masklist1 ) freeintmtx( masklist1, maxdistclass ); masklist1 = NULL;
+ if( masklist2 ) freeintmtx( masklist2, maxdistclass ); masklist2 = NULL;
if( nmask ) free( nmask ); nmask = NULL;
return( -1.0 );
}
@@ -1926,8 +1926,8 @@ fprintf( stderr, "\n" );
{
// fprintf( stderr, "\n\n## CHUUDAN!!! j\n" );
*chudanres = 1;
- if( masklist1 ) FreeIntMtx( masklist1 ); masklist1 = NULL;
- if( masklist2 ) FreeIntMtx( masklist2 ); masklist2 = NULL;
+ if( masklist1 ) freeintmtx( masklist1, maxdistclass ); masklist1 = NULL;
+ if( masklist2 ) freeintmtx( masklist2, maxdistclass ); masklist2 = NULL;
if( nmask ) free( nmask ); nmask = NULL;
return( -1.0 );
}
@@ -2096,8 +2096,8 @@ fprintf( stderr, "\n" );
for( j=0; j<jcyc; j++ ) fprintf( stderr, "%s\n", mseq2[j] );
*/
- if( masklist1 ) FreeIntMtx( masklist1 ); masklist1 = NULL;
- if( masklist2 ) FreeIntMtx( masklist2 ); masklist2 = NULL;
+ if( masklist1 ) freeintmtx( masklist1, maxdistclass ); masklist1 = NULL;
+ if( masklist2 ) freeintmtx( masklist2, maxdistclass ); masklist2 = NULL;
if( nmask ) free( nmask ); nmask = NULL;
return( wm );
diff --git a/core/version.c b/core/version.c
index e865301..64923aa 100644
--- a/core/version.c
+++ b/core/version.c
@@ -2,6 +2,6 @@
int main()
{
- fprintf( stdout, VERSION"\n" );
+ fprintf( stdout, VERSION );
return( 0 );
}
diff --git a/readme b/readme
index 0323e79..46b3a1b 100644
--- a/readme
+++ b/readme
@@ -1,6 +1,6 @@
-----------------------------------------------------------------------
MAFFT: a multiple sequence alignment program
- version 7.307beta, 2017/Jan/6
+ version 7.310beta, 2017/Mar/17
http://mafft.cbrc.jp/alignment/software/
kazutaka.katoh at aist.go.jp
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/mafft.git
More information about the debian-med-commit
mailing list